## org.apache.solr.common
Interface ResourceLoader

    public interface ResourceLoader

Since:
  solr 1.3

Method Summary
`List<String>` `getLines(String resource)` Accesses a resource by name and returns the (non comment) lines containing data.
`Object` `newInstance(String cname, String... subpackages)`
`InputStream` `openResource(String resource)`

Method Detail

### openResource

    InputStream openResource(String resource)
                             throws IOException

  Throws:
    `IOException`

### getLines

    List<String> getLines(String resource)
                          throws IOException

  Accesses a resource by name and returns the (non comment) lines containing data.

  A comment line is any line that starts with the character "#"

  Parameters:
    `resource` -
  Returns:
    a list of non-blank non-comment lines with whitespace trimmed from front and back.
  Throws:
    `IOException`

### newInstance

    Object newInstance(String cname,
                       String... subpackages)

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.